texture TextureLeft;
sampler TextureSamplerLeft = sampler_state
{
	texture = <TextureLeft>;
	magfilter = POINT;
	minfilter = POINT;
	mipfilter = POINT;
};

texture TextureRight;
sampler TextureSamplerRight = sampler_state
{
	texture = <TextureRight>;
	magfilter = POINT;
	minfilter = POINT;
	mipfilter = POINT;
};

float3 FilterLeft = float3(1,0,0);
float3 FilterRight = float3(0,1,1);

struct VSInput
{
	float4 Position : POSITION;
	float2 TexCoord : TEXCOORD0;
};

struct VSOutput
{
	float4 Position : POSITION;
	float2 TexCoord : TEXCOORD0;
};

VSOutput VS(VSInput input)
{
	VSOutput output;
	output.Position = input.Position;
	output.TexCoord = input.TexCoord; 
	return output;							     
}

float4 PS(VSOutput input): COLOR0
{
	float4 texelLeft = tex2D(TextureSamplerLeft, input.TexCoord);
	float4 texelRight = tex2D(TextureSamplerRight, input.TexCoord);
	
	float4 color;
	//color.r = colorFromTexture.r;    
	//color.gb = colorFromTexture1.gb;
	color.rgb = FilterLeft*texelLeft + FilterRight*texelRight;
	color.a = 1;
	return color;
}

technique Technique0
{
	pass Pass0
	{
		VertexShader = compile vs_2_0 VS();
		PixelShader = compile ps_2_0 PS();
	}
}
